# xele-futures-trader-api-win

4.0期货柜台交易API windows (MSVC)版本编译

## 编译方式

1）依赖库问题

若客户在执行编译好的程序时，可能会缺少MSVCP140.dll和VCRUNTIME140.dll等库，导致API接口不能正常使用，此时需要安装微软发布的支持库程序vc_redist.exe，见链接。根据操作系统类型不同选择性安装附件中的两个程序，例如：64位系统两个程序可以全装，32位程序则只能装x86版本；

2）动态库使用要求

若客户程序选择x86（32位）模式进行编译，则只能选用x86版本的API动态库（dll），同理若客户程序选择x64（64位）模式进行编译，则选用x64版本的API动态库（dll）。若客户选择了与API动态库不相符的编译模式，则会报系统执行错误。

3）中文编码问题
若编译过程中由于中文编码导致编译失败的问题，可以通过设置VS的 属性页-> 配置属性 -> c/c++ -> 所有选项 -> 附加选项；然后添加 /utf-8 即可。

## 链接地址

1) 微软官方库链接地址 [https://learn.microsoft.com/zh-cn/cpp/windows/latest-supported-vc-redist?view=msvc-160](https://learn.microsoft.com/zh-cn/cpp/windows/latest-supported-vc-redist?view=msvc-160)

2) x64 库安装程序下载地址 [https://aka.ms/vs/17/release/vc_redist.x64.exe](https://aka.ms/vs/17/release/vc_redist.x64.exe)

3) x86 库安装程序下载地址 [https://aka.ms/vs/17/release/vc_redist.x86.exe](https://aka.ms/vs/17/release/vc_redist.x86.exe)
